Create an outbound payment
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/outbound_payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_method_id": "660e8400-e29b-41d4-a716-446655440000",
"amount": 50000,
"currency": "BRL",
"customer_id": "550e8400-e29b-41d4-a716-446655440000"
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/outbound_payments"
payload = {
"payment_method_id": "660e8400-e29b-41d4-a716-446655440000",
"amount": 50000,
"currency": "BRL",
"customer_id": "550e8400-e29b-41d4-a716-446655440000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method_id: '660e8400-e29b-41d4-a716-446655440000',
amount: 50000,
currency: 'BRL',
customer_id: '550e8400-e29b-41d4-a716-446655440000'
})
};
fetch('https://payments.oaknetwork.org/api/v1/outbound_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"type": "<string>",
"provider": "<string>",
"source": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"destination": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"settlement_date": "2023-11-07T05:31:56Z"
}
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}{
"msg": "Unauthorized",
"data": null
}{
"msg": "Forbidden",
"data": null
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}{
"msg": "Validation error message",
"data": null
}Payouts
Create an outbound payment
Initiate a payout/outbound payment to a customer’s payment method.
POST
/
api
/
v1
/
outbound_payments
Create an outbound payment
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Body
application/json
⌘I